require "settings"
require "client"
require "modules/ui"
require "modules/rank"
require "modules/tools"
require "modules/game"
require "modules/sound"

pl = {}
pl.name = "Guest"..love.math.random(1000,9999)
pl.stars = 0
pl.status = "login"
pl.updateTime = 0
pl.gd = 0

w, h = love.graphics.getDimensions()
sx = w/320
sy = h/180

function love.load()
  pl.name = "Guest4707"--"Guest"..love.math.random(1000,9999)
  local ipadd = "127.0.0.1"
 ipadd = "37.59.126.91"
  netConnect(ipadd, "26640", 0.0625)
  love.keyboard.setTextInput(true)

  love.graphics.setDefaultFilter("nearest", "nearest", 1)

  loadFonts()
  loadImg()
  loadSounds()
end

function love.draw()
  love.graphics.push()
	love.graphics.scale(sx, sy)

  drawPhase()

  love.graphics.pop()
end

function love.update(dt)
  setMousePosition()

  local p = pl.status
  if p == "search" then
    updateSearch(dt)
  elseif p == "game" then
    updateGame(dt)
  elseif p == "menu" then
    updateMenu(dt)
  end

  pl.updateTime = pl.updateTime - 1*dt --time before we get an MOTD and stars update
  if pl.updateTime < 0 and p ~= "login" and p ~= "logging" then
    netSend("acc",pl.name)
    pl.updateTime = 30
  end

  updateStars(dt)

  netUpdate(dt)
end

function love.resize(w, h) --rescale window
	sx = w/320
	sy = h/180
end
