stars = {mode="display",alpha=255,scale=1}

function drawStars(x,y)
  local cX = 0
  local cY = 0

  for i = 1, 231 do
    if stars.mode == "up" and i == pl.stars then
      love.graphics.setColor(255,255,255,stars.alpha)
      love.graphics.draw(starImg,cX+x+12,cY+y+12,0,stars.scale,stars.scale,(8/stars.scale)+4,(8/stars.scale)+4)
      love.graphics.setColor(255,255,255,50)
      love.graphics.draw(starImg,cX+x,cY+y)
    elseif stars.mode == "down" and i == pl.stars+1 then
      love.graphics.setColor(255,255,255,stars.alpha)
      love.graphics.draw(starImg,cX+x+12,cY+y+12,0,stars.scale,stars.scale,(8/stars.scale)+4,(8/stars.scale)+4)
      love.graphics.setColor(255,255,255,50)
      love.graphics.draw(starImg,cX+x,cY+y)
    else
      if i > pl.stars then
        if i == 5 or i == 15 or i == 30 or i == 50 or i == 75 or i == 100 or i == 130 or i == 170 or i == 230 then
          love.graphics.setColor(255,200,200,50) --stars yet to obtain
        else
          love.graphics.setColor(255,255,255,50)
        end
      else
        if i == 5 or i == 15 or i == 30 or i == 50 or i == 75 or i == 100 or i == 130 or i == 170 or i == 230 then
          love.graphics.setColor(255,200,200)
        else
          love.graphics.setColor(255,255,255)
        end
      end

      love.graphics.draw(starImg,cX+x,cY+y)
    end

    cX = cX + 10
    if cX > 200 then
      cX = 0
      cY = cY + 10
    end

  end
end

function updateStars(dt)
  if stars.mode == "up" then
    stars.alpha = stars.alpha + 250*dt
    stars.scale = stars.scale - 15*dt
    if stars.scale < 1 then stars.scale = 1 end
    if stars.alpha > 255 then stars.alpha = 255 end
  elseif stars.mode == "down" then
    stars.alpha = stars.alpha - 250*dt
    stars.scale = stars.scale + 15*dt
  end
end
