searchTimeLeft = 0

tip = {}
tip[#tip+1] = "You'll gain a star when you win a match."
tip[#tip+1] = "You'll lose a star when you lose a match."
tip[#tip+1] = "Your rank is determined by your number of stars."
tip[#tip+1] = "Your ranking is still affected by BOT matches."
tip[#tip+1] = "The highest rank is Diamond."
tip[#tip+1] = "The lowest rank is Bronze."
tip[#tip+1] = "If we can't find you an opponent after 30 seconds you'll be placed against a BOT."
tip[#tip+1] = "Bots should be of equal skill to your current rank."
tip[#tip+1] = "You can be matched with anyone 10 stars higher or lower than you."
tip[#tip+1] = "Online leaderboards are ranked based on goal difference, not rank."
tip[#tip+1] = "Your goal difference is not altered by BOT matches."
tip[#tip+1] = "Check out our itch.io page for upcoming developments."
tip[#tip+1]= "Check out BrawlQuest!!"
tipTimeLeft = 10

curTip = love.math.random(1,#tip)
queueID = -1

function drawSearch()

  love.graphics.setFont(titleFont)
  love.graphics.printf("Paddle League",0,0,320,"center")

  love.graphics.setFont(textFont)
  love.graphics.printf("You are rank "..getRank(pl.stars),0,20,320,"center")
  love.graphics.setFont(defFont)
  love.graphics.printf("TIP #"..curTip..": "..tip[curTip],0,20+textFont:getHeight(),320,"center")
  love.graphics.setFont(textFont)
  drawStars(55,50,pl.stars)

  love.graphics.setColor(255,255,255)
  if searchTimeLeft > 30 then
    love.graphics.printf("Starting bot match...",0,160,320,"center")
  else
    love.graphics.printf("Finding match... ("..round(searchTimeLeft).."s)",0,160,320,"center")
  end
end

function updateSearch(dt)
  local cstl = round(searchTimeLeft)
  searchTimeLeft = searchTimeLeft + 1*dt
  if round(searchTimeLeft) > cstl then
    netSend("queueUpdate", pl.name..","..queueID)
  end

  tipTimeLeft = tipTimeLeft - 1*dt

  if tipTimeLeft < 0 then curTip = love.math.random(1,#tip) tipTimeLeft = 10 end
end
